// ListBoxData.cpp: implementation of the CListBoxData class.
// Copyright (c) 2015 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ListBoxData.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CListBoxData::CListBoxData()
{
	m_nExtent    = 0;
	m_bAdded     = true;
	m_dwItemData = 0;
}


CListBoxData::~CListBoxData()
{

}

//////////////////////////////////////////////////////////////////////
// Operations
//////////////////////////////////////////////////////////////////////

// Action:	Copies the data members from another object.
CListBoxData& CListBoxData::operator= (const CListBoxData& other)
{
	if (&other != this) {
		m_nExtent    = other.m_nExtent;
		m_bAdded     = other.m_bAdded;
		m_dwItemData = other.m_dwItemData;
	}

	return *this;
}	// operator=
