// ListBoxData.h: interface for the CListBoxData class.
// Copyright (c) 2016 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#pragma once

class CListBoxData
{
// Construction/Destruction
public:
	CListBoxData();
	virtual ~CListBoxData();

// Attributes
protected:
	int   m_nExtent;
	bool  m_bAdded;
	DWORD m_dwItemData;

// Operations
public:
	void SetExtent (int nExtent) {m_nExtent = nExtent;};
	int  GetExtent() {return m_nExtent;};
	void SetInserted() {m_bAdded = false;};
	bool WasAdded() {return m_bAdded;};
	void SetItemData (DWORD dwItemData) {m_dwItemData = dwItemData;};
	DWORD GetItemData() {return m_dwItemData;};
	CListBoxData& operator= (const CListBoxData& other);
};
